package com.steerinfo.meterwork.meterworkcarnoidentify.model;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author zhangnan
 * @Date 2022-10-26 15:33
 * @Version 1.0
 */
public class PointDetailsVo {
    @ApiModelProperty(value="计量点编号",required=true)
    String baseSpotNo;
    @ApiModelProperty(value="计量点名称",required=true)
    String baseSpotName;
    /**
     * 主键(ID,VARCHAR,50)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 一次数据编号(ACTUAL_FIRST_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="一次数据编号",required=true)
    private String actualFirstNo;

    /**
     * 最终车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="最终车号",required=false)
    private String carNo;

    /**
     * 视觉识别车号1(VIDEO_CAR_NO1,VARCHAR,20)
     */
    @ApiModelProperty(value="视觉识别车号1",required=false)
    private String videoCarNo1;

    /**
     * 视觉识别车号2(VIDEO_CAR_NO2,VARCHAR,20)
     */
    @ApiModelProperty(value="视觉识别车号2",required=false)
    private String videoCarNo2;

    /**
     * RFID车号(RFID_CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="RFID车号",required=false)
    private String rfidCarNo;

    /**
     * 扫码识别车号(SCAN_CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="扫码识别车号",required=false)
    private String scanCarNo;

    /**
     * 识别方式(CAR_NO_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="识别方式",required=false)
    private String carNoType;

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getVideoCarNo1() {
        return videoCarNo1;
    }

    public void setVideoCarNo1(String videoCarNo1) {
        this.videoCarNo1 = videoCarNo1;
    }

    public String getVideoCarNo2() {
        return videoCarNo2;
    }

    public void setVideoCarNo2(String videoCarNo2) {
        this.videoCarNo2 = videoCarNo2;
    }

    public String getRfidCarNo() {
        return rfidCarNo;
    }

    public void setRfidCarNo(String rfidCarNo) {
        this.rfidCarNo = rfidCarNo;
    }

    public String getScanCarNo() {
        return scanCarNo;
    }

    public void setScanCarNo(String scanCarNo) {
        this.scanCarNo = scanCarNo;
    }

    public String getCarNoType() {
        return carNoType;
    }

    public void setCarNoType(String carNoType) {
        this.carNoType = carNoType;
    }
}
